<template>
  <div class="carousel-container">
    <carousel :indicators="false" :controls="true" :interval="interval" ref="carousel">
      <slide>
        <img :src="`${$root['/']}img/minetest-monde.png`" alt="" />
        <div class="carousel-caption">
          <p class="h3" v-html="$t('slides.download')"></p>
        </div>
      </slide>
      <slide>
        <img :src="`${$root['/']}img/minetest-onglets.png`" alt=""/>
        <div class="carousel-caption">
          <p class="h3" v-html="$t('slides.connect')"></p>
        </div>
      </slide>
      <slide>
        <img :src="`${$root['/']}img/minetest-crafting.png`" alt="" />
        <div class="carousel-caption">
          <p class="h3" v-html="$t('slides.create')"></p>
        </div>
      </slide>
      <slide>
        <img :src="`${$root['/']}img/minetest-poules.png`" alt="" />
        <div class="carousel-caption">
          <p class="h3" v-html="$t('slides.learn')"></p>
        </div>
      </slide>
    </carousel>
    <p class="text-center play-pause" v-if="interval === 5000">
      <button class="carousel-control" :title="$t('carousel.pause')"
        @click="interval=0">
        <i class="fa fa-fw fa-pause" aria-hidden="true"></i>
        <span class="sr-only" v-html="$t('carousel.pause')"></span>
      </button>
    </p>
    <p class="text-center play-pause" v-else>
      <button class="carousel-control" :title="$t('carousel.play')"
        @click="interval=5000">
        <i class="fa fa-fw fa-play" aria-hidden="true"></i>
        <span class="sr-only" v-html="$t('carousel.play')"></span>
      </button>
    </p>
  </div>
</template>

<script>
import { Carousel, Slide } from 'uiv';

export default {
  components: {
    Carousel, Slide,
  },
  data() {
    return {
      interval: 5000,
    };
  }
};
</script>
